INTERFACE
SUBROUTINE ADD_MODERR_AD(YDSPERR,YDGPERR,KSTEP,YDSPERR1,YDGPERR1)
USE PARKIND1, ONLY: JPIM, JPRB
USE GRIDPOINT_FIELDS_MIX
USE SPECTRAL_FIELDS_MOD
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPERR(:)
TYPE(GRIDPOINT_FIELD), INTENT(INOUT) :: YDGPERR(:)
INTEGER(KIND=JPIM), INTENT(IN) :: KSTEP
TYPE(SPECTRAL_FIELD), OPTIONAL, INTENT(INOUT) :: YDSPERR1(:)
TYPE(GRIDPOINT_FIELD), OPTIONAL, INTENT(INOUT) :: YDGPERR1(:)
END SUBROUTINE ADD_MODERR_AD
END INTERFACE
